de.esprit.netsuite.netdata.event

## Class AbstractSessionEvent

- java.lang.Object
- - de.esprit.common.util.DumpableObject
  - - de.esprit.common.util.TransferableObject
    - - de.esprit.common.gui.event.GenericEvent
      - - de.esprit.netsuite.netdata.event.AbstractSessionEvent

- All Implemented Interfaces:
    DeepCloneable, Dumpable, NetEvent, java.io.Serializable, java.lang.Cloneable
  Direct Known Subclasses:
    ChatMessageEvent, RemotePathChangeEvent, RemotePathRegistrationEvent, SessionRegistrationEvent, SystemEvent, TextMessageEvent

      public abstract class AbstractSessionEvent
      extends GenericEvent
      implements NetEvent

  This is the base class for custom events that are caused by clients and distributed by the server to other clients. If the causing client receives this event he will be able to detect, that he himself was the originator by checking the wasCausedByMe flag.
  Author:
    Rainer Buesch
  See Also:
    Serialized Form

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class de.esprit.common.gui.event.GenericEvent

      `GenericEvent.Listener, GenericEvent.Source`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `AbstractSessionEvent(SessionId sessId)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `SessionId` | `getSessionId()` Returns the SessionId of the client who caused the change.
    `void` | `setWasCausedByMe(boolean wasCausedByMe)` Tells whether the event was caused by the client himself.
    `DumpString` | `toDumpString(DumpString s)` This method allows subclasses to add values to the existing DumpString of the superclass.
    `ToString` | `toString(ToString s)` This method allows subclasses to add values to the existing ToString of the superclass.
    `boolean` | `wasCausedByMe()` Tells whether the database change was caused by the client himself.

    - ### Methods inherited from class de.esprit.common.util.TransferableObject

      `clone, deepClone`

    - ### Methods inherited from class de.esprit.common.util.DumpableObject

      `configureDumpHeadlineLength, configureDumpMaxElementsPrinted, copyDumpStringValues, copyToStringValues, createDumpHeader, toDumpString, toString`

    - ### Methods inherited from class java.lang.Object

      `equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### AbstractSessionEvent

          public AbstractSessionEvent(SessionId sessId)

  - ### Method Detail

    - #### wasCausedByMe

          public boolean wasCausedByMe()

      Tells whether the database change was caused by the client himself.
      Specified by:
        `wasCausedByMe` in interface `NetEvent`
      See Also:
        `NetEvent.setWasCausedByMe(boolean)`

    - #### setWasCausedByMe

          public void setWasCausedByMe(boolean wasCausedByMe)

      Description copied from interface: `NetEvent`
      Tells whether the event was caused by the client himself.
      Specified by:
        `setWasCausedByMe` in interface `NetEvent`
      See Also:
        `NetEvent.wasCausedByMe()`

    - #### getSessionId

          public SessionId getSessionId()

      Returns the SessionId of the client who caused the change.
      Specified by:
        `getSessionId` in interface `NetEvent`

    - #### toString

          public ToString toString(ToString s)

      Description copied from interface: `Dumpable`
      This method allows subclasses to add values to the existing ToString of the superclass. Usually subclasses only need to override this method.
      Specified by:
        `toString` in interface `Dumpable`
      Overrides:
        `toString` in class `DumpableObject`

    - #### toDumpString

          public DumpString toDumpString(DumpString s)

      Description copied from interface: `Dumpable`
      This method allows subclasses to add values to the existing DumpString of the superclass. Usually subclasses only need to override this method.
      Specified by:
        `toDumpString` in interface `Dumpable`
      Overrides:
        `toDumpString` in class `DumpableObject`

Copyright © 2014 EsprIT-Systems. All Rights Reserved.